{
  "name": "@jupyterlab/lsp",
  "version": "4.0.11",
  "description": "",
  "homepage": "https://github.com/jupyterlab/jupyterlab",
  "bugs": {
    "url": "https://github.com/jupyterlab/jupyterlab/issues"
  },
  "repository": {
    "type": "git",
    "url": "https://github.com/jupyterlab/jupyterlab.git"
  },
  "license": "BSD-3-Clause",
  "author": "Project Jupyter",
  "sideEffects": [
    "style/*.css",
    "style/index.js"
  ],
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "style": "style/index.css",
  "directories": {
    "lib": "lib/"
  },
  "files": [
    "lib/**/*.{d.ts,eot,gif,html,jpg,js,js.map,json,png,svg,woff2,ttf}",
    "schema/*.json",
    "style/**/*.{css,eot,gif,html,jpg,json,png,svg,woff2,ttf}",
    "style/index.js",
    "src/**/*.{ts,tsx}"
  ],
  "scripts": {
    "build": "tsc -b",
    "build:schema": "node ./schema.js",
    "build:test": "tsc --build tsconfig.test.json",
    "clean": "rimraf lib && rimraf tsconfig.tsbuildinfo",
    "test": "jest",
    "test:cov": "jest --collect-coverage",
    "test:debug": "node --inspect-brk ../../node_modules/.bin/jest --runInBand",
    "test:debug:watch": "node --inspect-brk ../../node_modules/.bin/jest --runInBand --watch",
    "watch": "tsc -b --watch"
  },
  "resolutions": {
    "vscode-languageserver-protocol": "^3.17.0"
  },
  "dependencies": {
    "@jupyterlab/apputils": "^4.1.11",
    "@jupyterlab/codeeditor": "^4.0.11",
    "@jupyterlab/coreutils": "^6.0.11",
    "@jupyterlab/docregistry": "^4.0.11",
    "@jupyterlab/services": "^7.0.11",
    "@jupyterlab/translation": "^4.0.11",
    "@lumino/coreutils": "^2.1.2",
    "@lumino/disposable": "^2.1.2",
    "@lumino/signaling": "^2.1.2",
    "lodash.mergewith": "^4.6.1",
    "vscode-jsonrpc": "^6.0.0",
    "vscode-languageserver-protocol": "^3.17.0",
    "vscode-ws-jsonrpc": "~1.0.2"
  },
  "devDependencies": {
    "@jupyterlab/testing": "^4.0.11",
    "@types/jest": "^29.2.0",
    "@types/lodash.mergewith": "^4.6.1",
    "jest": "^29.2.0",
    "json-schema-to-typescript": "^8.0.0",
    "rimraf": "~3.0.0",
    "typescript": "~5.0.4"
  },
  "publishConfig": {
    "access": "public"
  },
  "styleModule": "style/index.js"
}
